---
title: Set up InfluxDB
description: Learn how to set up InfluxDB for the “Get started with InfluxDB” tutorial and for general use.
url: https://docs.influxdata.com/influxdb3/cloud-serverless/get-started/setup/
estimated_tokens: 7149
product: InfluxDB Cloud Serverless
version: cloud-serverless
---

# Set up InfluxDB

-   1 / 3

As you get started with this tutorial, do the following to make sure everything you need is in place.

-   [*Optional:* Download, install, and configure the influx CLI](#download-install-and-configure-the-influx-cli)
-   [Create an All Access API token](#create-an-all-access-api-token)
-   [Configure authentication credentials](#configure-authentication-credentials)
-   [*Optional:* Create a bucket](#create-a-bucket)

1. Optional: **Download, install, and configure the `influx` CLI**.
    
    The `influx` CLI provides a simple way to interact with InfluxDB from a command line. For detailed installation and setup instructions, see the [`influx` CLI reference](/influxdb3/cloud-serverless/reference/cli/influx/).
    
2. **Create an All Access API token**.
    
    1. Go to [cloud2.influxdata.com](https://cloud2.influxdata.com) in a browser to log in and access the InfluxDB UI.
        
    2. Navigate to **Load Data** > **API Tokens** using the left navigation bar.
        
        Load Data
        
    3. Click **\+ Generate API token** and select **All Access API Token**.
        
    4. Enter a description for the API token and click **Save**.
        
    5. Copy the generated token and store it for safe keeping.
        
    
    We recommend using a password manager or a secret store to securely store sensitive tokens.
    
3. **Configure authentication credentials**.
    
    As you go through this tutorial, interactions with InfluxDB Cloud Serverless require your InfluxDB **URL** or **host**, **organization name or ID**, and your **API token**. There are different methods for providing these credentials depending on which client you use to interact with InfluxDB.
    
    When configuring your token, if you [created an all access token](#create-an-all-access-api-token), use that token to interact with InfluxDB. Otherwise, use your operator token.
    
    <!-- Tabbed content: Select one of the following options -->
    
    
    **InfluxDB UI:**
    
    When managing InfluxDB Cloud Serverless through the InfluxDB UI, authentication credentials are provided automatically using credentials associated with the user you log in with.
    
    
    
    **influx CLI:**
    
    There are three ways to provide authentication credentials to the `influx` CLI:
    
    [](#cli-connection-configurations-recommended)
    
    CLI connection configurations *(Recommended)*
    
    The `influx` CLI lets you specify connection configuration presets that let you store and quickly switch between multiple sets of InfluxDB connection credentials. Use the [`influx config create` command](/influxdb3/cloud-serverless/reference/cli/influx/config/create/) to create a new CLI connection configuration. Include the following flags:
    
    -   `-n, --config-name`: Connection configuration name. This examples uses `get-started`.
    -   `-u, --host-url`: [InfluxDB Cloud Serverless region URL](/influxdb3/cloud-serverless/reference/regions/).
    -   `-o, --org`: InfluxDB [organization name](/influxdb3/cloud-serverless/admin/organizations/).
    -   `-t, --token`: your [API token](/influxdb3/cloud-serverless/get-started/setup/#create-an-all-access-api-token).
    
    ```sh
    influx config create \
      --config-name get-started \
      --host-url https://cloud2.influxdata.com \
      --org ORG_NAME \
      --token API_TOKEN
    ```
    
    *For more information about CLI connection configurations, see the [`influx config` command](/influxdb3/cloud-serverless/reference/cli/influx/config/).*
    
    [](#environment-variables)
    
    Environment variables
    
    The `influx` CLI checks for specific environment variables and, if present, uses those environment variables to populate authentication credentials. Set the following environment variables in your command line session:
    
    -   `INFLUX_HOST`: [InfluxDB Cloud Serverless region URL](/influxdb3/cloud-serverless/reference/regions/).
    -   `INFLUX_ORG`: InfluxDB [organization name or ID](/influxdb3/cloud-serverless/admin/organizations/view-orgs/).
    -   `INFLUX_TOKEN`: your [API token](/influxdb3/cloud-serverless/get-started/setup/#create-an-all-access-api-token).
    
    <!-- Tabbed content: Select one of the following options -->
    
    
    **MacOS and Linux:**
    
    ```sh
    export INFLUX_HOST=https://cloud2.influxdata.com
    export INFLUX_ORG=ORG_NAME
    export INFLUX_TOKEN=API_TOKEN
    ```
    
    
    
    **PowerShell:**
    
    ```sh
    $env:INFLUX_HOST = "https://cloud2.influxdata.com"
    $env:INFLUX_TOKEN = "API_TOKEN"
    $env:INFLUX_ORG = "ORG_NAME"
    ```
    
    
    
    **CMD:**
    
    ```sh
    set INFLUX_HOST=https://cloud2.influxdata.com
    set INFLUX_ORG=ORG_NAME
    set INFLUX_TOKEN=API_TOKEN
    # Make sure to include a space character at the end of this command.
    ```
    
    
    
    <!-- End tabbed content -->
    
    [](#command-flags)
    
    Command flags
    
    Use the following `influx` CLI flags to provide required credentials to commands:
    
    -   `--host`: [InfluxDB Cloud Serverless region URL](/influxdb3/cloud-serverless/reference/regions/).
    -   `-o`, `--org`: InfluxDB organization name or [ID](/influxdb3/cloud-serverless/admin/organizations/view-orgs/#view-your-organization-id).
    -   `-t`, `--token`: your [API token](/influxdb3/cloud-serverless/get-started/setup/#create-an-all-access-api-token).
    
    All `influx` CLI examples in this getting started tutorial assume your InfluxDB **host**, **organization**, and **token** are provided by either the [active `influx` CLI configuration](/influxdb3/cloud-serverless/reference/cli/influx/#provide-required-authentication-credentials) or by environment variables.
    
    
    
    **Telegraf:**
    
    Telegraf examples in this getting started tutorial assumes you assigned an `INFLUX_TOKEN` environment variable to your InfluxDB **token**.
    
    <!-- Tabbed content: Select one of the following options -->
    
    
    **MacOS and Linux:**
    
    ```sh
    export INFLUX_TOKEN=API_TOKEN
    ```
    
    
    
    **PowerShell:**
    
    ```sh
    $env:INFLUX_TOKEN = "API_TOKEN"
    ```
    
    
    
    **CMD:**
    
    ```sh
    set INFLUX_TOKEN=API_TOKEN 
    # Make sure to include a space character at the end of this command.
    ```
    
    
    
    <!-- End tabbed content -->
    
    Replace the following:
    
    -   **`API_TOKEN`**: an InfluxDB [API token](/influxdb3/cloud-serverless/get-started/setup/#create-an-all-access-api-token) with sufficient permissions to your bucket
    
    
    
    **InfluxDB API:**
    
    API (cURL and client library) examples in this getting started tutorial assume you have environment variables assigned to your InfluxDB credentials.
    
    To assign environment variables to your credentials, enter the following commands into your profile settings or terminal:
    
    <!-- Tabbed content: Select one of the following options -->
    
    
    **MacOS and Linux:**
    
    ```sh
    export INFLUX_HOST=https://cloud2.influxdata.com
    export INFLUX_ORG=ORG_NAME
    export INFLUX_TOKEN=API_TOKEN
    ```
    
    
    
    **PowerShell:**
    
    ```powershell
    $env:INFLUX_HOST = "https://cloud2.influxdata.com"
    $env:INFLUX_ORG = "ORG_NAME"
    $env:INFLUX_TOKEN = "API_TOKEN"
    ```
    
    
    
    **CMD:**
    
    ```sh
    set INFLUX_HOST=https://cloud2.influxdata.com
    set INFLUX_ORG=ORG_NAME
    set INFLUX_TOKEN=API_TOKEN 
    # Make sure to include a space character at the end of this command.
    ```
    
    
    
    <!-- End tabbed content -->
    
    Replace the following:
    
    -   **`ORG_NAME`**: your InfluxDB organization name
    -   **`ORG_ID`**: your InfluxDB organization ID
    -   **`API_TOKEN`**: an InfluxDB [API token](/influxdb3/cloud-serverless/get-started/setup/#create-an-all-access-api-token) with sufficient permissions to your bucket
    
    Keep the following in mind when using API clients and client libraries:
    
    -   InfluxDB ignores `org` and `org_id` parameters in API write and query requests, but some clients still require the parameters.
    -   Some clients use `host` to refer to your *hostname*, your [InfluxDB Cloud Serverless region URL](/influxdb3/cloud-serverless/reference/regions/) without `https://`.
    
    All API, cURL, and client library examples in this getting started tutorial assume your InfluxDB **host**, **organization**, **url**, and **token** are provided by environment variables.
    
    
    
    <!-- End tabbed content -->
    
4. Optional: **Create a bucket**.
    
    You can use an existing bucket or create a new one specifically for this getting started tutorial. All examples in this tutorial assume a bucket named **“get-started”**.
    
    Use the **InfluxDB UI**, **`influx` CLI**, or **InfluxDB API** to [create a bucket](/influxdb3/cloud-serverless/admin/buckets/create-bucket/).
    
    <!-- Tabbed content: Select one of the following options -->
    
    
    **InfluxDB UI:**
    
    1. Go to [cloud2.influxdata.com](https://cloud2.influxdata.com) in a browser to log in and access the InfluxDB UI.
        
    2. Navigate to **Load Data** > **Buckets** using the left navigation bar.
        
    
    Load Data
    
    3. Click **\+ Create bucket**.
        
    4. Provide a bucket name (get-started) and select a [retention period](/influxdb3/cloud-serverless/reference/glossary/#retention-period). Supported retention periods depend on your InfluxDB Cloud Serverless plan.
        
    5. Click **Create**.
    
    
    
    **influx CLI:**
    
    1. If you haven’t already, [download, install, and configure the `influx` CLI](/influxdb3/cloud-serverless/reference/cli/influx/).
        
    2. Use the [`influx bucket create` command](/influxdb3/cloud-serverless/reference/cli/influx/bucket/create/) to create a new bucket.
        
        **Provide the following**:
        
        -   `-n, --name` flag with the bucket name.
        -   `-r, --retention` flag with the bucket’s retention period duration. Supported retention periods depend on your InfluxDB Cloud Serverless plan.
        -   [Connection and authentication credentials](#configure-authentication-credentials)
    
    ```sh
    influx bucket create \
      --name get-started \
      --retention 7d
    ```
    
    
    
    **InfluxDB API:**
    
    To create a bucket using the InfluxDB HTTP API, send a request to the InfluxDB API `/api/v2/buckets` endpoint using the `POST` request method.
    
    [POST https://cloud2.influxdata.com/api/v2/buckets](/influxdb3/cloud-serverless/api/buckets/#operation/PostBuckets)
    
    Include the following with your request:
    
    -   **Headers**:
        -   **Authorization**: Token `INFLUX_TOKEN`
        -   **Content-Type**: `application/json`
    -   **Request body**: JSON object with the following properties:
        -   **org**: InfluxDB organization name
        -   **name**: Bucket name
        -   **retentionRules**: List of retention rule objects that define the bucket’s retention period. Each retention rule object has the following properties:
            -   **type**: `"expire"`
            -   **everySeconds**: Retention period duration in seconds. Supported retention periods depend on your InfluxDB Cloud Serverless plan.
    
    ```sh
    curl --request POST \
    "https://cloud2.influxdata.com/api/v2/buckets" \
      --header "Authorization: Token $INFLUX_TOKEN" \
      --header "Content-Type: application/json" \
      --data '{
        "orgID": "'"$INFLUX_ORG_ID"'",
        "name": "get-started",
        "retentionRules": [
          {
            "type": "expire",
            "everySeconds": 604800
          }
        ]
      }'
    ```
    
    
    
    <!-- End tabbed content -->
    

[Get started](/influxdb3/cloud-serverless/get-started/) [Write data](/influxdb3/cloud-serverless/get-started/write/)

#### Related

-   [Manage buckets](/influxdb3/cloud-serverless/admin/buckets/)
-   [Use the InfluxDB documentation MCP server](/influxdb3/cloud-serverless/reference/mcp-server/)
-   [influx - InfluxDB command line interface](/influxdb3/cloud-serverless/reference/cli/influx/)
